Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.l10n
Class BundleLoader

    java.lang.Object
      org.richfaces.l10n.BundleLoader

    public class BundleLoader

extends java.lang.Object

Author:
  Nick Belaevski

Constructor Summary
`BundleLoader()`

Method Summary
`java.util.ResourceBundle` | `getApplicationBundle(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey, java.util.Locale locale)`
`java.util.ResourceBundle` | `getBundle(java.lang.Enum<?> messageKey, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleLoader

    public BundleLoader()

Method Detail

### getBundle

    public java.util.ResourceBundle getBundle(java.lang.Enum<?> messageKey,
                                              java.util.Locale locale)
                                       throws java.util.MissingResourceException,
                                              java.lang.IllegalArgumentException

  Throws:
    `java.util.MissingResourceException`
    `java.lang.IllegalArgumentException`

### getApplicationBundle

    public java.util.ResourceBundle getApplicationBundle(javax.faces.context.FacesContext facesContext,
                                                         java.lang.Enum<?> messageKey,
                                                         java.util.Locale locale)
                                                  throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.